#include "testlib.h"
 
#include <iostream>
#include <set>
#include <cassert>
 
using namespace std;
 
int main(int argc, char* argv[])
{
	vector<int>sizes(10);
	registerGen(argc, argv, 1);
 
	const int maxn = atoi(argv[1]);
	cout <<10000<< endl;
	for (int i = 0; i < 10000; i++)
	{
		cout << rnd.next(maxn)+1;
		cout << ' ';
		cout << rnd.next(maxn);
		cout << '\n';
	}
}